package net.sf.doolin.gui.action.path.list;

import java.util.ArrayList;
import java.util.List;

import net.sf.doolin.gui.action.path.item.ActionPath;

/**
 * This class aggregates several list of {@link ActionPath}.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class AggregatedActionPathList implements ActionPathList {

	private List<ActionPathList> actionPathListList;

	/**
	 * Gets the list of action path lists.
	 * 
	 * @return List of action path lists.
	 */
	public List<ActionPathList> getActionPathListList() {
		return this.actionPathListList;
	}

	@Override
	public List<ActionPath> getPaths() {
		List<ActionPath> aggregatedList = new ArrayList<ActionPath>();
		for (ActionPathList actionPathList : this.actionPathListList) {
			List<ActionPath> paths = actionPathList.getPaths();
			aggregatedList.addAll(paths);
		}
		return aggregatedList;
	}

	/**
	 * Sets the list of action path lists.
	 * 
	 * @param actionPathListList
	 *            List of action path lists.
	 */
	public void setActionPathListList(List<ActionPathList> actionPathListList) {
		this.actionPathListList = actionPathListList;
	}

}
