package net.sf.doolin.gui.action.path.statusbar;

import javax.swing.JLabel;

import net.sf.doolin.gui.action.ActionContext;

/**
 * Defines a connector used to bind the text of a {@link JLabel} to the
 * application state.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface LabelConnector {

	/**
	 * Connects the label's text to the application state
	 * 
	 * @param actionContext
	 *            Action context the label belongs to.
	 * @param label
	 *            Label to bind
	 */
	void connect(ActionContext actionContext, JLabel label);

}
