package net.sf.doolin.gui.action.support;

import net.sf.doolin.gui.action.ActionContext;
import net.sf.doolin.util.factory.DataFactory;
import net.sf.doolin.util.factory.IdentityDataFactory;

public class DefaultActionContextDataExtractor implements
		ActionContextDataExtractor {

	private boolean useContext;

	private DataFactory<? extends Object> dataFactory = new IdentityDataFactory<Object>();

	public DefaultActionContextDataExtractor() {
	}

	public DefaultActionContextDataExtractor(boolean useContext) {
		this.useContext = useContext;
	}

	public DefaultActionContextDataExtractor(boolean useContext,
			DataFactory<? extends Object> dataFactory) {
		this.useContext = useContext;
		this.dataFactory = dataFactory;
	}

	public DefaultActionContextDataExtractor(
			DataFactory<? extends Object> dataFactory) {
		this.dataFactory = dataFactory;
	}

	protected Object getContextData(ActionContext actionContext) {
		if (this.useContext) {
			return actionContext.getContext();
		} else {
			return actionContext.getData();
		}
	}

	@Override
	public Object getData(ActionContext actionContext) {
		// Gets the data
		Object data = getContextData(actionContext);
		// Converts the data
		return this.dataFactory.create(data);
	}

	public DataFactory<? extends Object> getDataFactory() {
		return this.dataFactory;
	}

	public boolean isUseContext() {
		return this.useContext;
	}

	public void setDataFactory(DataFactory<? extends Object> dataFactory) {
		this.dataFactory = dataFactory;
	}

	public void setUseContext(boolean useContext) {
		this.useContext = useContext;
	}

}
