package net.sf.doolin.gui.action.support;

import net.sf.doolin.gui.action.ActionContext;
import net.sf.doolin.gui.window.opener.ViewOpener;

import org.springframework.beans.factory.annotation.Required;

/**
 * Delegate that opens a view
 * 
 * @author Damien Coraboeuf (x74639)
 * 
 * @param <T>
 *            Type of data
 */
public class ViewOpenerDelegate<T> implements ActionDelegate<T> {

	private ViewOpener<T> viewOpener;

	@Override
	public void call(ActionContext actionContext, T parameter) {
		// Opens the view
		this.viewOpener.openView(actionContext, parameter);
	}

	/**
	 * Gets the view opener.
	 * 
	 * @return the view opener
	 */
	public ViewOpener<T> getViewOpener() {
		return this.viewOpener;
	}

	/**
	 * Sets the view opener.
	 * 
	 * @param viewOpener
	 *            the new view opener
	 */
	@Required
	public void setViewOpener(ViewOpener<T> viewOpener) {
		this.viewOpener = viewOpener;
	}

}
