package net.sf.doolin.gui.bus;

public class BusMonitoringRefreshTask implements Runnable {

	private final BusMonitoringModel model;

	public BusMonitoringRefreshTask(BusMonitoringModel model) {
		this.model = model;
	}

	@Override
	public void run() {
		try {
			while (!Thread.interrupted()) {
				// Pause
				long pause = Math.max(1, this.model.getRefreshInterval());
				pause *= 1000;
				Thread.sleep(pause);
				// Refresh
				if (this.model.isAutoRefresh()) {
					this.model.refresh();
				}
			}
		} catch (InterruptedException ex) {
			// Accepts interruptions
		}
	}
}
