package net.sf.doolin.gui.edit;

import net.sf.doolin.bus.Bus;

/**
 * This message is sent on the {@link Bus} when the state of a
 * {@link GUIEditManager task manager} is updated.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class GUIEditManagerUpdateMessage {

	private final GUIEditManager editManager;

	/**
	 * Constructor.
	 * 
	 * @param editManager
	 *            Task manager
	 */
	public GUIEditManagerUpdateMessage(GUIEditManager editManager) {
		this.editManager = editManager;
	}

	/**
	 * Gets the associated task manager
	 * 
	 * @return Task manager
	 */
	public GUIEditManager getEditManager() {
		return this.editManager;
	}

}
