package net.sf.doolin.gui.field;

import javax.swing.JComponent;

import net.sf.doolin.gui.action.ActionContext;
import net.sf.doolin.gui.util.PropertyContainer;
import net.sf.doolin.gui.view.GUIView;

/**
 * Definition for a field instance.
 * 
 * @author Damien Coraboeuf
 * @param <V>
 *            Type of object for the view
 */
public interface Field<V> extends PropertyContainer {

	/**
	 * Gets the action context for this field
	 * 
	 * @return Action context
	 */
	ActionContext getActionContext();

	JComponent getCoreComponent();

	/**
	 * Gets the component for the field.
	 * 
	 * @return Component
	 */
	JComponent getFieldComponent();

	/**
	 * Gets the field descriptor.
	 * 
	 * @return the field descriptor
	 */
	FieldDescriptor<V> getFieldDescriptor();

	/**
	 * Gets the view.
	 * 
	 * @return the view
	 */
	GUIView<V> getView();

}
