package net.sf.doolin.gui.field.support;

import net.sf.doolin.gui.action.support.AbstractActionContext;
import net.sf.doolin.gui.validation.ValidationSupport;

/**
 * Abstract action context for a field.
 * 
 * @author Damien Coraboeuf
 * 
 */
public abstract class AbstractFieldActionContext extends AbstractActionContext {

	private static final long serialVersionUID = 1L;

	/**
	 * Default constructor
	 */
	public AbstractFieldActionContext() {
		super();
	}

	/**
	 * Constructor with a contextual value
	 * 
	 * @param context
	 *            Contextual value
	 */
	public AbstractFieldActionContext(Object context) {
		super(context);
	}

	/**
	 * The validation support for a field is the validation support of the view.
	 */
	@Override
	protected <T> ValidationSupport<T> createValidationSupport() {
		return getView().getActionContext().getValidationSupport();
	}

}
