package net.sf.doolin.gui.field.table.column;

import net.sf.doolin.gui.field.table.Column;

/**
 * Defines if a column is editable for an object.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <T>
 *            Type of the object to check
 */
public interface ColumnEditable<T> {

	/**
	 * Returns if the item is editable
	 * 
	 * @param column
	 *            Column
	 * @param item
	 *            Item to edit
	 * @return <code>true</code> if the object is editable
	 */
	boolean isEditable(Column column, T item);

}
