package net.sf.doolin.gui.field.table.header;

import javax.swing.table.JTableHeader;

import net.sf.doolin.gui.field.table.support.GUITable;

/**
 * Factory for the header of a {@link GUITable}.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <V>
 *            Type of object for the view
 * @param <E>
 *            Type of item in the table
 */
public interface GUITableHeaderFactory<V, E> {

	/**
	 * Creates the header for the table
	 * 
	 * @param table
	 *            Table to create
	 * @return Header to display or <code>null</code>.
	 */
	JTableHeader createHeader(GUITable<V, E> table);

}
