package net.sf.doolin.gui.field.table.style;

import java.awt.Color;

import javax.swing.JTable;

import net.sf.doolin.gui.style.PropertyStyle;
import net.sf.doolin.gui.style.Style;

/**
 * Style that applies a fixed color to the rows.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class FixedColorTableStyle implements TableStyle {

	private Color color = Color.WHITE;

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Style getStyle(Object item, JTable table, int row, int column) {
		return new PropertyStyle("background", getColor());
	}

	/**
	 * Gets the even row color.
	 * 
	 * @return the even row color
	 */
	public Color getColor() {
		return this.color;
	}

	/**
	 * Sets the even row color.
	 * 
	 * @param evenRowColor
	 *            the new even row color
	 */
	public void setColor(Color evenRowColor) {
		this.color = evenRowColor;
	}

}
