package net.sf.doolin.gui.field.tree.support;

import java.awt.BorderLayout;

import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import net.sf.doolin.gui.field.support.AbstractField;
import net.sf.doolin.gui.field.tree.FieldTree;
import net.sf.doolin.gui.swing.DockLayout;
import net.sf.doolin.gui.view.GUIView;
import net.sf.doolin.util.Utils;

public class GUITreeField<V> extends AbstractField<V> {

	private final FieldTree<V> treeDescriptor;
	private final JPanel treeContainer;
	private final JScrollPane scrollPane;
	private final GUITree<V> tree;

	public GUITreeField(GUIView<V> view, FieldTree<V> fieldDescriptor) {
		super(view, fieldDescriptor);
		this.treeDescriptor = fieldDescriptor;
		// Creates the container
		this.treeContainer = new JPanel(new DockLayout());
		// Creates the tree
		this.tree = new GUITree<V>(this);
		// Tree context
		setActionContext(new TreeActionContext<V>(this));
		// Creates the scroll pane
		this.scrollPane = new JScrollPane(this.tree);
		this.treeContainer.add(this.scrollPane, BorderLayout.CENTER);
		// Action context
		// ActionContext actionContext = getActionContext();
		// TODO Tree Tool bar
		// TODO View Tool bar
		// TODO Window Tool bar
		// TODO Key bindings
	}

	@Override
	public JComponent getCoreComponent() {
		return this.tree;
	}

	@Override
	public JComponent getFieldComponent() {
		return this.treeContainer;
	}

	public Object getProperty() {
		return Utils.getProperty(getView().getViewData(), this.treeDescriptor
				.getPropertyPath());
	}

	public GUITree<V> getTree() {
		return this.tree;
	}

	public FieldTree<V> getTreeDescriptor() {
		return this.treeDescriptor;
	}

}
