package net.sf.doolin.gui.layout;

/**
 * Converts a layout constraint given by the configuration to a useable
 * constraint within a layout manager.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <C >
 *            Type of constraint in the configuration
 * @param <A>
 *            Actual type of constraint to use
 * 
 */
public interface LayoutConstraintAdapter<C, A> {

	/**
	 * Converts the constraint
	 * 
	 * @param constraint
	 *            From the configuration
	 * @return Actual constraint to use
	 */
	A convert(C constraint);

}
