package net.sf.doolin.gui.model;

import net.sf.doolin.util.Utils;
import net.sf.doolin.util.factory.DataFactory;

import org.springframework.beans.factory.annotation.Required;

/**
 * Gets a property from the context.
 * 
 * @author Damien Coraboeuf
 * @param <T>
 *            Type of the object to create
 * 
 */
public class PropertyDataFactory<T> implements DataFactory<T> {

	private String propertyPath;

	@Override
	public T create(Object context) {
		@SuppressWarnings("unchecked")
		T result = (T) Utils.getProperty(context, this.propertyPath);
		return result;
	}

	/**
	 * Property path to the value model
	 * 
	 * @return Property path to the value model
	 */
	public String getPropertyPath() {
		return this.propertyPath;
	}

	/**
	 * Sets the property path to the value model
	 * 
	 * @param propertyPath
	 *            Property path to the value model
	 */
	@Required
	public void setPropertyPath(String propertyPath) {
		this.propertyPath = propertyPath;
	}

}
