package net.sf.doolin.gui.service;

import java.net.URL;

import javax.swing.Icon;

/**
 * Service for getting icons.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface IconService {

	/**
	 * Fetch an icon
	 * 
	 * @param id
	 *            Icon id
	 * @param size
	 *            Required icon size
	 * @return Icon
	 */
	Icon getIcon(String id, IconSize size);

	/**
	 * Returns the URL to an icon.
	 * 
	 * @param iconId
	 *            Icon id
	 * @param size
	 *            Required icon size
	 * @return URL to the icon
	 */
	URL getIconURL(String iconId, IconSize size);

}
