package net.sf.doolin.gui.spring;

import java.util.concurrent.atomic.AtomicInteger;

import net.sf.doolin.context.spring.SimpleDefinitionParser;
import net.sf.doolin.gui.service.icon.PropertyIconService;

import org.springframework.beans.factory.support.BeanDefinitionBuilder;
import org.springframework.beans.factory.xml.ParserContext;
import org.w3c.dom.Element;

/**
 * Parser for {@link PropertyIconService}.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class PropertyIconServiceParser extends
		SimpleDefinitionParser<PropertyIconService> {

	// ID generator
	private static final AtomicInteger idGenerator = new AtomicInteger(0);

	/**
	 * Constructor
	 */
	public PropertyIconServiceParser() {
		super(PropertyIconService.class);
		setDefaultID("PropertyIconService#" + idGenerator.incrementAndGet());
	}

	@Override
	public void doParse(Element element, ParserContext parserContext,
			BeanDefinitionBuilder builder) {
		// properties
		delegate(element, GUI.NS, "properties", new PropertiesDecorator(),
				parserContext, builder);
		// OK
		super.doParse(element, parserContext, builder);
	}
}
