package net.sf.doolin.gui.spring.table;

import net.sf.doolin.context.spring.SimpleBeanFactory;
import net.sf.doolin.gui.field.table.FieldTable;
import net.sf.doolin.gui.field.table.support.PropertyTableEventListFactory;
import net.sf.doolin.gui.spring.AbstractFieldTypeParser;

import org.springframework.beans.factory.support.BeanDefinitionBuilder;

/**
 * Parser for a table
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class TableParser extends AbstractFieldTypeParser<FieldTable> {

	/**
	 * Constructor
	 */
	public TableParser() {
		super(FieldTable.class);
		// propertyPath
		addFactoryFromAttribute("propertyPath", "itemListFactory",
				new SimpleBeanFactory() {

					@Override
					public Object create(String value) {
						BeanDefinitionBuilder builder = BeanDefinitionBuilder
								.rootBeanDefinition(PropertyTableEventListFactory.class);
						builder.addPropertyValue("propertyPath", value);
						return builder.getBeanDefinition();
					}
				});
		// itemListFactoryRef
		addAttributeRef("itemListFactoryRef", "itemListFactory");
		// Other attributes
		addSimpleAttribute("itemChanges");
		addSimpleAttribute("selectionPropertyPath");
		addSimpleAttribute("selectionMode");
		addSimpleAttribute("showColumns");
	}

}
