package net.sf.doolin.gui.style;

import java.awt.Component;
import java.util.ArrayList;
import java.util.List;

/**
 * 
 * Combination of styles.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class ChainedStyle implements Style {

	private List<Style> styles = new ArrayList<Style>();

	/**
	 * Returns the list of styles to apply
	 * 
	 * @return List of styles
	 */
	public List<Style> getStyles() {
		return this.styles;
	}

	/**
	 * Sets the list of styles to apply
	 * 
	 * @param styles
	 *            List of styles
	 */
	public void setStyles(List<Style> styles) {
		this.styles = styles;
	}

	/**
	 * Adds a style to the chain
	 * 
	 * @param style
	 *            Style to add
	 */
	public void addStyle(Style style) {
		this.styles.add(style);
	}

	@Override
	public void apply(Component component) {
		for (Style style : this.styles) {
			style.apply(component);
		}
	}

}
