package net.sf.doolin.gui.validation;

import javax.swing.JComponent;

import net.sf.doolin.gui.field.Field;
import net.sf.doolin.gui.view.decorator.GUIViewDecorator;

/**
 * Specialized decorator for the validation of views.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface GUIValidationDecorator extends GUIViewDecorator {

	/**
	 * Decorates a field.
	 * 
	 * @param <V>
	 *            Type of object for the view
	 * @param field
	 *            Field to decorate
	 * @param fieldComponent
	 *            Field component to decorate
	 * @return Decorated field component
	 */
	<V> JComponent decorateField(Field<V> field, JComponent fieldComponent);

}
