package net.sf.doolin.gui.view.support;

import net.sf.doolin.gui.view.GUIView;

/**
 * This interface defines a class that is called after the view is created in
 * order to subscribe some events or some bus scriptions.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <V>
 *            Type of bean for the view
 */
public interface ViewSubscriber<V> {

	/**
	 * Registers or subscribes events for the given view
	 * 
	 * @param view
	 *            View to subscribe events for
	 */
	void subscribe(GUIView<V> view);

}
