package net.sf.doolin.gui.window.dialog;

import javax.swing.JButton;

import net.sf.doolin.gui.window.support.DefaultIWindowFactory;
import net.sf.doolin.gui.window.support.IWindowFactory;

/**
 * Window for a modal dialog.
 * 
 * @author Damien Coraboeuf (x74639)
 * 
 * @param <B>
 *            Type of data for the dialog
 */
public class DialogGUIWindow<B> extends AbstractDialogWindow<B> {

	/**
	 * Constructor with a {@link DefaultDialogActionsFactory}.
	 */
	public DialogGUIWindow() {
		super(new DefaultDialogActionsFactory<B>());
	}

	/**
	 * Constructor with a given {@link DialogActionsFactory}.
	 * 
	 * @param dialogActionsFactory
	 *            {@link DialogActionsFactory} to use
	 */
	public DialogGUIWindow(DialogActionsFactory dialogActionsFactory) {
		super(dialogActionsFactory);
	}

	@Override
	protected IWindowFactory getIwindowFactory() {
		return new DefaultIWindowFactory();
	}

	@Override
	protected boolean isModal() {
		return true;
	}

	/**
	 * Creates the button bar
	 */
	@Override
	public void onPostCreate() {
		super.onPostCreate();

		// OK button is the default button
		JButton okButton = getButton(DialogAction.OK);
		if (okButton != null) {
			setDefaultButton(okButton);
		}
	}
}
