package net.sf.doolin.gui.window.opener;

import net.sf.doolin.gui.action.ActionContext;

/**
 * Opens a view, a window, etc. for a given model. It defines an abstraction for
 * actions that have to open a view or a window.
 * 
 * @author Damien Coraboeuf
 * 
 * 
 * @param <V>
 *            Type of data for the view
 */
public interface ViewOpener<V> {

	/**
	 * Opens the view or the window
	 * 
	 * @param actionContext
	 *            Action context
	 * @param model
	 *            Model for the new window or view
	 * @return The action context of the opened view or window
	 */
	ActionContext openView(ActionContext actionContext, V model);

}
