package net.sf.doolin.gui.window.support;

import net.sf.doolin.gui.action.ActionContext;

/**
 * Default window implementation factory that creates a dialog for modal purpose
 * and a frame for the modeless purpose.
 * 
 * @author Damien Coraboeuf
 * @see DialogIWindow
 * @see FrameIWindow
 */
public class DefaultIWindowFactory implements IWindowFactory {

	@Override
	public IWindow createIWindow(ActionContext actionContext, boolean modal) {
		if (modal) {
			return new DialogIWindow(actionContext);
		} else {
			return new FrameIWindow(actionContext);
		}
	}

}
