package net.sf.doolin.gui.wizard.support;

import java.util.Arrays;
import java.util.List;

import net.sf.doolin.gui.action.GUIAction;

/**
 * Default factory for the wizard actions: Previous, Next, Finish and Cancel.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class DefaultWizardActionsFactory extends AbstractWizardActionsFactory {

	/**
	 * Available pre-created instance.
	 */
	public static final DefaultWizardActionsFactory INSTANCE = new DefaultWizardActionsFactory();

	@Override
	public List<GUIAction> getDialogActions() {
		return Arrays.asList(getPreviousAction(), getNextAction(),
				getFinishAction(), getCancelAction());
	}
}
