package net.sf.doolin.gui.docking.storage;

import net.sf.doolin.gui.window.GUIWindow;

/**
 * Stores and retrieves arbitrary data for a window.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface Storage {

	/**
	 * Retrieves the value for a window.
	 * 
	 * @param window
	 *            Window
	 * @return Retrieved value or <code>null</code> if not found
	 */
	String retrieve(GUIWindow<?> window);

	/**
	 * Stores the value for a window
	 * 
	 * @param window
	 *            Window
	 * @param value
	 *            Value to store
	 */
	void store(GUIWindow<?> window, String value);

}
